System.ServiceModel 4.0.0.0 System.Configuration.ConfigurationElement

The access control model supports provisioning a set of authorization policies as types. This element configures a set of authorization policy implementations, which enable transformation of one set of input claims into another set of claims. A set of claims is then operated on and an access control decision is reached after the authorization policy transformation phase.

Contains a configuration element that specifies an authorization policy, which enables transformation of one set of input claims into another set of claims. Access control can be granted or denied based on that. This class cannot be inherited.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified policy type.

  The type of policy to be initialized.
- Property
  4.0.0.0
  System.Configuration.ConfigurationProperty("policyType", IsKey=true, IsRequired=true, Options=System.Configuration.ConfigurationPropertyOptions.IsRequired | System.Configuration.ConfigurationPropertyOptions.IsKey)
  System.Configuration.StringValidator(InvalidCharacters=null, MaxLength=2147483647, MinLength=1)
  System.String To be added. To be added.

  Gets or sets the policy type.

- Property
  4.0.0.0
  System.Configuration.ConfigurationPropertyCollection To be added. To be added. To be added.